Bug 821229 - Review Request: fcitx-sunpinyin - Sunpinyin Wrapper for Fcitx
Review Request: fcitx-sunpinyin - Sunpinyin Wrapper for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 06:06 EDT by Liang Suilong
Modified: 2012-06-05 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 19:06:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-05-13 06:06:14 EDT
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4073799
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-sunpinyin-0.3.6-1.fc16.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-sunpinyin.spec
Description:
Fcitx-sunpinyin is a Chewing Wrapper for Fcitx.

SunPinyin is an SLM (Statistical Language Model) based input method
engine. To model the Chinese language, it use a backoff bigram and
trigram language model.
Comment 1 Parag AN(पराग) 2012-05-24 03:13:00 EDT
Review:-

+ koji build (f18)-> http://koji.fedoraproject.org/koji/taskinfo?taskID=4097307

+ rpmlint on rpms gave
fcitx-sunpinyin.src: W: spelling-error %description -l en_US backoff -> back off, back-off, kickoff
fcitx-sunpinyin.src: W: spelling-error %description -l en_US bigram -> bi gram, bi-gram, big ram
fcitx-sunpinyin.src: W: spelling-error %description -l en_US trigram -> trig ram, trig-ram, centigram
fcitx-sunpinyin.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-sunpinyin-0.3.6.tar.xz HTTP Error 404: Not Found
fcitx-sunpinyin.x86_64: W: spelling-error %description -l en_US backoff -> back off, back-off, kickoff
fcitx-sunpinyin.x86_64: W: spelling-error %description -l en_US bigram -> bi gram, bi-gram, big ram
fcitx-sunpinyin.x86_64: W: spelling-error %description -l en_US trigram -> trig ram, trig-ram, centigram
fcitx-sunpinyin.x86_64: E: incorrect-fsf-address /usr/share/doc/fcitx-sunpinyin-0.3.6/COPYING
2 packages and 0 specfiles checked; 1 errors, 7 warnings.
==> ok to ignore

+ Source verified with upstream as (sh1sum)
0a248aa1f286b3aed0676391ed26d3b8ddf912c3  ../SOURCES/fcitx-sunpinyin-0.3.6.tar.xz
0a248aa1f286b3aed0676391ed26d3b8ddf912c3  fcitx-sunpinyin-0.3.6.tar.xz

Suggestions:
1) Please ass corresponding popd in %build

2) The correct way to handle locale files is remove manually generation of %{name}.lang in spec file and use "%find_lang %{name}" at the end of %install section. See https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

3) remove Requires: fcitx-data
   you need to fix fcitx package to only own %{_datadir}/fcitx/inputmethod


APPROVED.
Comment 2 Parag AN(पराग) 2012-05-24 03:14:01 EDT
(In reply to comment #1)

> Suggestions:
> 1) Please ass corresponding popd in %build

oops! typo here Please read above as

1) Please add corresponding popd in %build
Comment 3 Liang Suilong 2012-05-24 12:34:10 EDT
New Package SCM Request
=======================
Package Name: fcitx-sunpinyin
Short Description: Sunpinyin Wrapper for Fcitx 
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 4 Gwyn Ciesla 2012-05-24 13:12:31 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-05-26 02:58:05 EDT
fcitx-sunpinyin-0.3.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-sunpinyin-0.3.6-1.fc17
Comment 6 Fedora Update System 2012-05-26 18:21:40 EDT
fcitx-sunpinyin-0.3.6-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 7 Fedora Update System 2012-06-05 19:06:28 EDT
fcitx-sunpinyin-0.3.6-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.